Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 249677 - media-libs/libgphoto2-2.4.3 fails while building smal driver
Summary: media-libs/libgphoto2-2.4.3 fails while building smal driver
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.3
  Show dependency tree
 
Reported: 2008-12-03 02:35 UTC by Ryan Hill (RETIRED)
Modified: 2008-12-04 23:18 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
libgphoto2-2.4.3-gcc43.patch (libgphoto2-2.4.3-gcc43.patch,457 bytes, patch)
2008-12-03 02:45 UTC, Ryan Hill (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Hill (RETIRED) gentoo-dev 2008-12-03 02:35:14 UTC
I get this error building libgphoto2-2.4.3 with CAMERAS="smal":


x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I.. -I.. -I../libgphoto2_port -I../libgphoto2 -I../libgphoto2 -Wall -g -D_GPHOTO2_INTERNAL_CODE -DLOCALEDIR=\"/usr/share/locale\" -DCAMLIBS=\"/usr/lib64/libgphoto2/2.4.3\" -I.. -I.. -I../libgphoto2_port -I../libgphoto2 -I../libgphoto2 -Wall -g -D_GPHOTO2_INTERNAL_CODE -O3 -march=core2 -fomit-frame-pointer -pipe -Wall -Wmissing-declarations -Wmissing-prototypes -O3 -march=core2 -fomit-frame-pointer -pipe -Wall -Wmissing-declarations -Wmissing-prototypes -MT smal/ultrapocket.lo -MD -MP -MF smal/.deps/ultrapocket.Tpo -c smal/ultrapocket.c  -fPIC -DPIC -o smal/.libs/ultrapocket.o
smal/ultrapocket.c: In function 'ultrapocket_command':
smal/ultrapocket.c:65: warning: pointer targets in passing argument 2 of 'gp_port_write' differ in signedness
smal/ultrapocket.c:67: warning: pointer targets in passing argument 2 of 'gp_port_read' differ in signedness
smal/ultrapocket.c: In function 'ultrapocket_getrawpicture':
smal/ultrapocket.c:236: warning: implicit declaration of function 'setlocale'
smal/ultrapocket.c:236: error: 'LC_ALL' undeclared (first use in this function)
smal/ultrapocket.c:236: error: (Each undeclared identifier is reported only once
smal/ultrapocket.c:236: error: for each function it appears in.)
smal/ultrapocket.c:236: warning: assignment makes pointer from integer without a cast
smal/ultrapocket.c:252: warning: pointer targets in passing argument 1 of 'strcpy' differ in signedness
smal/ultrapocket.c: In function 'ultrapocket_getpicture':
smal/ultrapocket.c:316: error: 'LC_ALL' undeclared (first use in this function)
smal/ultrapocket.c:316: warning: assignment makes pointer from integer without a cast
smal/ultrapocket.c:341: warning: pointer targets in passing argument 1 of 'strcpy' differ in signedness
smal/ultrapocket.c: In function 'ultrapocket_skip':
smal/ultrapocket.c:416: warning: pointer targets in passing argument 2 of 'gp_port_read' differ in signedness
make[3]: *** [smal/ultrapocket.lo] Error 1


Portage 2.2_rc16 (default/linux/amd64/2008.0/developer, gcc-4.3.2, glibc-2.8_p20080602-r0, 2.6.27-gentoo-r4 x86_64)
=================================================================
System uname: Linux-2.6.27-gentoo-r4-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T9300_@_2.50GHz-with-glibc2.2.5
Timestamp of tree: Wed, 03 Dec 2008 00:31:01 +0000
distcc 3.0 x86_64-pc-linux-gnu [disabled]
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p48
dev-java/java-config: 1.3.7-r1, 2.1.6-r1
dev-lang/python:     2.5.2-r8
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.6.2
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.3.0-r1
sys-apps/sandbox:    1.2.18.1-r3
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O3 -march=core2 -fomit-frame-pointer -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O3 -march=core2 -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="-v"
FEATURES="ccache collision-protect cvs digest distlocks fixpackages metadata-transfer multilib-strict parallel-fetch preserve-libs protect-owned sandbox sfperms sign splitdebug strict test unmerge-orphans userfetch userpriv usersandbox"
GENTOO_MIRRORS="http://gentoo.mirrors.tera-byte.com/ http://gentoo.osuosl.org http://distfiles.gentoo.org"
LANG="en_US.utf8"
LDFLAGS="-Wl,--as-needed,--hash-style=gnu"
LINGUAS="en en_US"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/home/dirtyepic/overlay /home/dirtyepic/dev/svn/dirtyepic /home/dirtyepic/dev/svn/gcc-porting"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acpi akode alsa amd64 audiofile avahi bash-completion berkdb bzip2 cairo cdaudio cdr chm cli consolekit cracklib crypt css cups curl cvs dbus divx dri dts dvd dvdr dvdread eds emboss encode evo exif expat fam ffmpeg fftw firefox3 flac fontconfig foomaticdb gdbm geos gif gimp glib glw gmedia gmp gpgme gphoto2 gstreamer gtk hal hdaps howl-compat hpn htmlhandbook iconv id3tag imap imlib inotify ipw4965 isdnlog javascript jpeg kde kdeenablefinal kdehiddenvisibility lame laptop libwww mad mdnsresponder-compat midi mikmod mmap mmx mozilla mp3 mpeg multilib ncurses network-cron nntp nptl nptlonly nsplugin ogg opengl openmp pam pch pcre pdf perl pic png pop ppds pppd pth python qt3 qt3support qt4 quicktime readline reflection rtc sasl session smapi smime smp smtp sndfile spell spl sql srt sse sse2 ssl ssse3 startup-notification subversion svg sysfs taglib tcpd theora threads threadsafe tiff truetype unicode urandom usb utempter vim-syntax vorbis wifi wmp wxwindows x264 xcb xcomposite xine xml xorg xpm xulrunner xv xvid zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="mouse keyboard synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_US" USERLAND="GNU" VIDEO_CARDS="intel"
Unset:  CPPFLAGS, CTARGET, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Ryan Hill (RETIRED) gentoo-dev 2008-12-03 02:45:57 UTC
Created attachment 174132 [details, diff]
libgphoto2-2.4.3-gcc43.patch
Comment 2 Gilles Dartiguelongue gentoo-dev 2008-12-04 23:18:02 UTC
fixed without a bump, thanks for reporting and the patch.